Field Search
GET/qlibs/:qlibid/q/:qhit/rep/search_field
To query an index, it is as simple as making a rep call on the Index Object using search_field with parameter terms
terms for fields:
f_searchable_field_name:=keyword to restrict to search to the field searchable_field_name
AND and OR are also possible
How to find searchable fields If you know the <QID> of that Index Object, you can retrieve the searchable fields running this command :
curl -s 'https://<HOST>/qlibs/<LIB>/q/<QID>/meta/indexer/config/indexer/arguments/fields?authorization=<TOKEN>' | jq "keys"
search_field Example:
search for fields synopsis and type:
`f_synopsis:=Targaryen AND f_type:=episode`
Translated into an url, the document search performed on the fabric node <URL> using the Index Object <QID> in library <ILIB> with the query f_synopsis:=Targaryen AND f_type:=episode will have the following url :
`https://<URL>/qlibs/<LIB>/q/<QID>/rep/search?terms=f_synopsis%3A%3DTargaryen%20AND%20f_type%3A%3Depisode&authorization=<TOKEN>`
Request
Responses
- 200
- 404
- default
Search result
Error message returned if the requested entity does not exist.
A generic error message.